/// <reference types="node" />
import type AppRegistry from 'hadron-app-registry';
import type { Store, AnyAction } from 'redux';
import type { DataService } from 'mongodb-data-service';
declare const _store: Store<import("redux").EmptyObject & {
    import: {
        isOpen: boolean;
        isInProgressMessageOpen: boolean;
        errors: Error[];
        fileType: "" | import("../constants/file-types").AcceptedFileType;
        fileName: string;
        errorLogFilePath: string;
        fileIsMultilineJSON: boolean;
        useHeaderLines: boolean;
        status: import("../constants/process-status").ProcessStatus;
        fileStats: import("fs").Stats | null;
        analyzeBytesProcessed: number;
        analyzeBytesTotal: number;
        delimiter: "," | "\t" | ";" | " ";
        newline: "\r\n" | "\n";
        stopOnErrors: boolean;
        ignoreBlanks: boolean;
        fields: (import("../modules/import").FieldFromCSV | {
            path: string;
            checked: boolean;
        })[];
        values: string[][];
        previewLoaded: boolean;
        exclude: string[];
        transform: [string, "string" | "number" | "boolean" | "int" | "long" | "double" | "date" | "objectId" | "uuid" | "regex" | "minKey" | "maxKey" | "ejson" | "null" | "binData" | "md5" | "timestamp" | "decimal" | "mixed"][];
        abortController?: AbortController | undefined;
        analyzeAbortController?: AbortController | undefined;
        analyzeResult?: import("../import/analyze-csv-fields").AnalyzeCSVFieldsResult | undefined;
        analyzeStatus: import("../constants/process-status").ProcessStatus;
        analyzeError?: Error | undefined;
    };
    ns: string;
    globalAppRegistry: AppRegistry | null;
    dataService: {
        dataService?: DataService | undefined;
        error?: Error | undefined;
    };
}, AnyAction> & {
    dispatch: unknown;
};
type StoreActions<T> = T extends Store<unknown, infer A> ? A : never;
type StoreState<T> = T extends Store<infer S, AnyAction> ? S : never;
export type RootImportActions = StoreActions<typeof _store>;
export type RootImportState = StoreState<typeof _store>;
declare const store: Store<import("redux").EmptyObject & {
    import: {
        isOpen: boolean;
        isInProgressMessageOpen: boolean;
        errors: Error[];
        fileType: "" | import("../constants/file-types").AcceptedFileType;
        fileName: string;
        errorLogFilePath: string;
        fileIsMultilineJSON: boolean;
        useHeaderLines: boolean;
        status: import("../constants/process-status").ProcessStatus;
        fileStats: import("fs").Stats | null;
        analyzeBytesProcessed: number;
        analyzeBytesTotal: number;
        delimiter: "," | "\t" | ";" | " ";
        newline: "\r\n" | "\n";
        stopOnErrors: boolean;
        ignoreBlanks: boolean;
        fields: (import("../modules/import").FieldFromCSV | {
            path: string;
            checked: boolean;
        })[];
        values: string[][];
        previewLoaded: boolean;
        exclude: string[];
        transform: [string, "string" | "number" | "boolean" | "int" | "long" | "double" | "date" | "objectId" | "uuid" | "regex" | "minKey" | "maxKey" | "ejson" | "null" | "binData" | "md5" | "timestamp" | "decimal" | "mixed"][];
        abortController?: AbortController | undefined;
        analyzeAbortController?: AbortController | undefined;
        analyzeResult?: import("../import/analyze-csv-fields").AnalyzeCSVFieldsResult | undefined;
        analyzeStatus: import("../constants/process-status").ProcessStatus;
        analyzeError?: Error | undefined;
    };
    ns: string;
    globalAppRegistry: AppRegistry | null;
    dataService: {
        dataService?: DataService | undefined;
        error?: Error | undefined;
    };
}, AnyAction> & {
    dispatch: unknown;
} & {
    onActivated(globalAppRegistry: AppRegistry): void;
};
export { store };
//# sourceMappingURL=import-store.d.ts.map